package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author chenqi
 * @since 2021-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("usdt_order_details")
@ApiModel(value="UsdtOrderDetails对象", description="")
public class UsdtOrderDetails implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "id", value = "用户主键id")
      @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(name = "orderNo",value = "订单id")
    private String orderNo;

    @ApiModelProperty(name = "userId",value = "收购用户ID")
    private Integer userId;

    @ApiModelProperty(name = "sellUserId",value = "出售用户ID")
    private Integer sellUserId;

    @ApiModelProperty(name = "status",value = "状态 0待支付 1已支付 2已取消 3已完成")
    private Integer status;

    @ApiModelProperty(name = "coinName",value = "币种名称")
    private String coinName;

    @ApiModelProperty(name = "tradeNum",value = "交易币数量")
    private BigDecimal tradeNum;

    @ApiModelProperty(name = "tradePrice",value = "交易价格")
    private BigDecimal tradePrice;

    @ApiModelProperty(name = "fee",value = "手续费")
    private BigDecimal fee;

    @ApiModelProperty(name = "cny",value = "支付CNY金额")
    private BigDecimal cny;

    @ApiModelProperty(name = "payTime",value = "支付时间")
    private Integer payTime;

    @ApiModelProperty(name = "payName",value = "支付人名称")
    private String payName;

    @ApiModelProperty(name = "prove",value = "支付凭证")
    private String prove;

    @ApiModelProperty(name = "bankInfo",value = "收款账号信息")
    private String bankInfo;

    @ApiModelProperty(name = "reason",value = "备注")
    private String reason;

    private Date createdAt;

    private Date updatedAt;


}
