package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 86187
 * @ Description   :  用户实体类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/8 19:59
 */
@Data
@ApiModel(value = "User")
@TableName("users")
public class Users implements Serializable {
    private static final long serialVersionUID = 2525339404301884673L;

    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty(name = "id", value = "用户主键id")
    private Long id;


    /**
     * 父id
     */
    @ApiModelProperty(name = "parentId", value = "父id")
    private Integer parentId;

    /**
     * 层级树
     */
    @ApiModelProperty(name = "path", value = "层级树")
    private String path;

    /**
     * 层级
     */
    @ApiModelProperty(name = "rank", value = "层级")
    private Integer rank;


    /**
     * 国家区号
     */
    @ApiModelProperty(name = "countryCode", value = "国家区号")
    private String countryCode;

    /**
     * 用户手机号
     */
    @ApiModelProperty(name = "phone", value = "用户手机号")
    private String phone;

    /**
     * 密码
     */
    @ApiModelProperty(name = "password", value = "密码")
    private String password;

    /**
     * 资金密码
     */
    @ApiModelProperty(name = "fundPass", value = "资金密码")
    private String fundPass;

    /**
     * 昵称
     */
    @ApiModelProperty(name = "nickname", value = "昵称")
    private String nickname;

    /**
     * 头像
     */
    @ApiModelProperty(name = "avatar", value = "头像")
    private String avatar;

    /**
     * 邀请码
     */
    @ApiModelProperty(name = "inviteCode", value = "邀请码")
    private String inviteCode;

    /**
     * 登录token
     */
    @ApiModelProperty(name = "token", value = "登录token")
    private String token;

    /**
     * 收款码
     */
    @ApiModelProperty(name = "hash", value = "收款码")
    private String hash;

    /**
     * 最高广告商等级
     */
    @ApiModelProperty(name = "level", value = "最高广告商等级")
    private Integer level;

    /**
     * 当前最高有效广告商等级
     */
    @ApiModelProperty(name = "frozen", value = "当前最高有效广告商等级")
    private Integer nowLevel;

    /**
     * 用户等级
     */
    @ApiModelProperty(name = "grade", value = "用户等级")
    private Integer grade;

    /**
     * 会员状态
     */
    @ApiModelProperty(name = "status", value = "会员状态")
    private Integer status;

    /**
     * 转账状态： 0正常 1冻结
     */
    @ApiModelProperty(name = "fundStatus",value = "转账状态： 0正常 1冻结")
    private Integer fundStatus;

    /**
     * 0未激活 1已激活
     */
    @ApiModelProperty(name = "active",value = "0未激活 1已激活")
    private Integer active;

    /**
     * 备注
     */
    @ApiModelProperty(name = "note",value = "备注")
    private String note;

    /**
     * 注册时间
     */
    @ApiModelProperty(name = "regTime",value = "注册时间")
    private Date regTime;

    /**
     * 注册ip
     */
    @ApiModelProperty(name = "regIp",value = "注册ip")
    private String regIp;

    /**
     * 注册地区
     */
    @ApiModelProperty(name = "regAddress",value = "注册地区")
    private String regAddress;

    /**
     * 最后一次登录的设备id
     */
    @ApiModelProperty(name = "did",value = "最后一次登录的设备id")
    private String did;

    /**
     * 消息阅读时间
     */
    @ApiModelProperty(name = "readTime",value = "消息阅读时间")
    private Date readTime;

    /**
     * 代做任务时间
     */
    @ApiModelProperty(name = "startAt",value = "代做任务时间")
    private Date startAt;

    /**
     * 代做任务到期时间
     */
    @ApiModelProperty(name = "expireAt",value = "代做任务到期时间")
    private Date expireAt;

    /**
     * 1、代理不能做视频任务
     */
    @ApiModelProperty(name = "proxy",value = "1、代理不能做视频任务")
    private Integer proxy;

    /**
     * 是否为工作室成员 0 否  1 是
     */
    @ApiModelProperty(name = "isWork",value = "是否为工作室成员 0 否  1 是")
    private Integer isWork;

    /**
     * 成为工作室成员时间
     */
    @ApiModelProperty(name = "workAt",value = "成为工作室成员时间")
    private Date workAt;

    private Date createdAt;

    private Date updatedAt;
}
