package cn.wisenergy.service.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.Users;
import cn.wisenergy.model.dto.UsersInfoDto;
import cn.wisenergy.model.vo.UserVo;

import java.util.List;

/**
 * @author 86187
 * @author 86187
 * @ Description: 用户接口
 * @ Author     : 86187
 * @ Date       : 2021/1/6 16:08
 */
public interface UserService {


    /**
     * 获取用户信息
     *
     * @param userId 用户id
     * @return 用户信息
     */
    Users getById(Long userId);


    /**
     * 获取用户下一级
     *
     * @return 树结构
     */
    R<List<UserVo>> getLastUser(Long userId);

    /**
     * 获取用户详细信息
     * @param userId 用户id
     * @return
     */
    R<UsersInfoDto> getByUserInfoById(Long userId);

}
