package cn.wisenergy.service.app.impl;

import cn.wisenergy.common.enums.RespCodeEnum;
import cn.wisenergy.common.utils.exception.BaseCustomException;
import cn.wisenergy.mapper.UsersMapper;
import cn.wisenergy.model.app.Users;
import cn.wisenergy.model.dto.UsersInfoDto;
import cn.wisenergy.service.app.TestUserService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Authotr:陈奇
 * @QQ1799796883
 */
@Service
@Slf4j
public class TestUserServiceImpl implements TestUserService {

    @Autowired
    private UsersMapper usersMapper;

    @Override
    public List<UsersInfoDto> getDownUserInfoById(Long userId) {
        log.info("TestUserServiceImpl[]getDownUserInfoById[]input.param.userId:" + userId);
        if (null == userId) {
            throw new BaseCustomException(RespCodeEnum.INPUT_PARAMETER_ISEMPTY);
        }
        Users user = usersMapper.selectById(userId);
        if (null == user) {
            throw new BaseCustomException(RespCodeEnum.EMPLOYEE_IS_NOT_EXIST_ERROR);
        }
        // 1.获取用户伞下所有用户的信息
        List<UsersInfoDto> downUsersById = usersMapper.getDownUsersById(userId);

        // 2.获取当前用户的向下最深层级层级数，伞下人员总和
        UsersInfoDto usersInfoDto = usersMapper.getUsersById(userId);
        for (UsersInfoDto u : downUsersById) {
            if (u.getId().equals(userId)) {
                u.setBottom(usersInfoDto.getBottom()).setTotalPeople(usersInfoDto.getTotalPeople());
                break;
            }
        }

        return downUsersById;
    }
}
