package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.model.app.dto.UsersInfoDto;
import cn.wisenergy.service.app.TestUserService;
import cn.wisenergy.web.common.BaseController;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author ASUS
 */
@Api(tags = "用户管理（Test）")
@RestController("/users")
@Slf4j
public class TestUserController2 extends BaseController {

    @Autowired
    private TestUserService testUserService;

    @ApiOperation(value = "获取用户下用户的信息", notes = "获取用户下用户的信息", httpMethod = "GET")
    @ApiImplicitParam(name = "userId", value = "用户id", dataType = "int")
    @GetMapping("/getByUserId")
    public R<List<UsersInfoDto>> getDownUserInfoById(Long userId) {
        log.info("TestUserController2[]getDownUserInfoById[]input.param.userId:" + userId);
        List<UsersInfoDto> users = testUserService.getDownUserInfoById(userId);
        return R.ok(users);
    }

}
